package com.huashe.park.cloud.controller;

import java.util.ArrayList;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.huashe.park.domain.entity.BdFenceInfo;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.page.TableDataInfo;

import io.swagger.annotations.Api;

/**
 * 电网设施指标Controller
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
@RestController
@RequestMapping("/elecPgIndex")
@Api(value = "AdmEmsElecPgIndexController", description = "电网设施指标")
public class AdmEmsElecPgIndexController extends BaseController {

    @GetMapping("/list")
    public TableDataInfo list(BdFenceInfo elecPgIndex) {
        startPage();

        return getDataTable(new ArrayList<>());
    }

}
