/*
 * 文 件 名:  MqttHandler
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/4/30
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.park.collect.core;

/**
 * Mqtt消息处理
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/4/30]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface MqttMessageHandler {
    /**
     * 消息出来
     * @param payload 消息报文
     */
    void handle(String topic, byte[] payload);
}
