package com.huashe.park.core.mapper;

import java.util.List;

import com.huashe.park.domain.entity.ConsUnitHoleRel;

/**
 * 施工单元桩孔关系表Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-17
 */
public interface ConsUnitHoleRelMapper {
    /**
     * 查询施工单元桩孔关系表
     * 
     * @param id 施工单元桩孔关系表主键
     * @return 施工单元桩孔关系表
     */
    ConsUnitHoleRel selectConsUnitHoleRelById(Long id);

    /**
     * 查询施工单元桩孔关系表列表
     * 
     * @param consUnitHoleRel 施工单元桩孔关系表
     * @return 施工单元桩孔关系表集合
     */
    List<ConsUnitHoleRel> selectConsUnitHoleRelList(ConsUnitHoleRel consUnitHoleRel);

    /**
     * 新增施工单元桩孔关系表
     * 
     * @param consUnitHoleRel 施工单元桩孔关系表
     * @return 结果
     */
    int insertConsUnitHoleRel(ConsUnitHoleRel consUnitHoleRel);

    /**
     * 修改施工单元桩孔关系表
     * 
     * @param consUnitHoleRel 施工单元桩孔关系表
     * @return 结果
     */
    int updateConsUnitHoleRel(ConsUnitHoleRel consUnitHoleRel);

    /**
     * 删除施工单元桩孔关系表
     * 
     * @param id 施工单元桩孔关系表主键
     * @return 结果
     */
    int deleteConsUnitHoleRelById(Long id);

    /**
     * 批量删除施工单元桩孔关系表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteConsUnitHoleRelByIds(Long[] ids);
}
