/*
 * 文 件 名:  ConfigServerApplication
 * 版    权:
 * 描    述:  <描述>
 * 修 改 人:  learshaw
 * 修改时间:  2018/12/18
 */
package com.huashe.common.data;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 通用数据服务启动
 * <功能详细描述>
 *
 * @author learshaw
 * @version [版本号, 2021/04/26]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@EnableCaching
@EnableAsync
@SpringBootApplication
public class GeneralDataApplication {
    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(GeneralDataApplication.class);
        application.run(args);
    }
}