package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.CoChargingConfigRel;

import java.util.List;

/**
 * 商户能源计费关系Service接口
 *
 * @author ruoyi
 * @date 2024-08-26
 */
public interface ICoChargingConfigRelService {
    /**
     * 查询商户能源计费关系列表
     *
     * @param cfgId 配置Id
     * @return 商户能源计费关系集合
     */
    List<CoChargingConfigRel> selectRelList(Long cfgId);

    /**
     * 新增商户能源计费关系
     *
     * @param list 关系列表
     * @return 结果
     */
    int insertRelBatch(List<CoChargingConfigRel> list);

    /**
     * 批量删除商户能源计费关系
     *
     * @param cfgId 配置Id
     * @return 结果
     */
    int deleteRel(Long cfgId);
}
