package com.ruoyi.ems.service;

import java.util.List;

import com.ruoyi.ems.domain.EmsObjAbilityCallLog;

/**
 * 能源对象能力调用日志Service接口
 *
 * @author ruoyi
 * @date 2025-02-27
 */
public interface IEmsObjAbilityCallLogService {
    /**
     * 查询能源对象能力调用日志
     *
     * @param id 能源对象能力调用日志主键
     * @return 能源对象能力调用日志
     */
    EmsObjAbilityCallLog selectLogById(Long id);

    /**
     * 查询能源对象能力调用日志列表
     *
     * @param param 能源对象能力调用日志
     * @return 能源对象能力调用日志集合
     */
    List<EmsObjAbilityCallLog> selectLogList(EmsObjAbilityCallLog param);

    /**
     * 新增能源对象能力调用日志
     *
     * @param objAbilityCallLog 能源对象能力调用日志
     * @return 结果
     */
    int addLog(EmsObjAbilityCallLog objAbilityCallLog);

    /**
     * 修改能源对象能力调用日志
     *
     * @param objAbilityCallLog 能源对象能力调用日志
     * @return 结果
     */
    int updateLog(EmsObjAbilityCallLog objAbilityCallLog);
}
