package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsObjEventLog;
import com.ruoyi.ems.domain.EmsObjReportLog;

import java.util.List;

/**
 * 能源对象能力调用日志Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-27
 */
public interface IEmsObjEventLogService {
    /**
     * 查询能源对象能力调用日志
     *
     * @param id 能源对象能力调用日志主键
     * @return 能源对象能力调用日志
     */
    EmsObjEventLog selectLogById(Long id);

    /**
     * 查询能源对象能力调用日志列表
     *
     * @param objEventLog 能源对象能力调用日志
     * @return 能源对象能力调用日志集合
     */
    List<EmsObjEventLog> selectLog(EmsObjEventLog objEventLog);

    /**
     * 新增能源对象能力调用日志
     *
     * @param objEventLog 能源对象能力调用日志
     * @return 结果
     */
    int insertLog(EmsObjEventLog objEventLog);
}
