/*
 * 文 件 名:  CoChargingConfigRelServiceImpl
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/26
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.CoChargingConfigRel;
import com.ruoyi.ems.mapper.CoChargingConfigRelMapper;
import com.ruoyi.ems.service.ICoChargingConfigRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商户配置关联表 服务层实现
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/26]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */

@Service
public class CoChargingConfigRelServiceImpl implements ICoChargingConfigRelService {
    @Autowired
    private CoChargingConfigRelMapper coChargingConfigRelMapper;

    @Override
    public List<CoChargingConfigRel> selectRelList(Long cfgId) {
        return coChargingConfigRelMapper.selectRelList(cfgId);
    }

    @Override
    public int insertRelBatch(List<CoChargingConfigRel> list) {
        return coChargingConfigRelMapper.insertRelBatch(list);
    }

    @Override
    public int deleteRel(Long cfgId) {
        return coChargingConfigRelMapper.deleteRel(cfgId);
    }
}