-- ----------------------------
-- 碳排放配额交易数据表
-- ----------------------------
DROP TABLE IF EXISTS `adm_carbon_trading_cea`;
CREATE TABLE `adm_carbon_trading_cea` (
  `date`        VARCHAR(32) NOT NULL COMMENT '时间',
  `kp`          double default NULL COMMENT '开盘',
  `sp`          double default NULL COMMENT '收盘',
  `zs`          double default NULL COMMENT '昨收',
  `high`        double default NULL COMMENT '最高',
  `low`         double default NULL COMMENT '最低',
  `zf`          VARCHAR(16) default NULL COMMENT '涨幅',
  `zd`          double default NULL COMMENT '涨跌',
  `cjl`         VARCHAR(64) default NULL COMMENT '成交量',
  `cje`         VARCHAR(64) default NULL COMMENT '成交额',
  PRIMARY KEY (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='碳排放配额交易数据表';