package com.huashe.common.exception.file;

import com.huashe.common.exception.base.BaseException;

/**
 * 文件信息异常类
 * 
 * @author ruoyi
 */
public class FileException extends BaseException
{
    private static final long serialVersionUID = 1L;

    public FileException(String code, Object[] args)
    {
        super("file", code, args, null);
    }

    public FileException(String code, Object[] args, String msg)
    {
        super("file", code, args, msg);
    }
}
