/*
 * 文 件 名:  QueryDevice
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/6
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

import java.util.List;

/**
 * 查询设备
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/6]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class QueryDevice {
    /** 设备代码 */
    private String deviceCode;

    /** 设备名称 */
    private String deviceName;

    /** 设备分类 */
    private String deviceCategory;

    /** 设备子类 */
    private String deviceSubCategory;

    /** 设备模型 */
    private String deviceModel;

    private String refFacs;

    /** 位置关联 */
    private String locationRef;

    /**
     * 地块代码
     */
    private String areaCode;

    /** 设备工艺标识编码 */
    private String psCode;

    /** 设备工艺标识编码 */
    private List<String> psCodes;

    private Long deviceStatus;

    /** 所属子系统 */
    private String subsystemCode;

    private Integer upstreamObjType;

    private String upstreamObjCode;

    /**
     * 计量类别
     */
    private Integer meterCls;

    /**
     * 采集方式
     */
    private Integer colMode;

    /**
     * 计量对象标记
     */
    private Integer objTag;

    private List<String> areaCodes;

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getDeviceSubCategory() {
        return deviceSubCategory;
    }

    public void setDeviceSubCategory(String deviceSubCategory) {
        this.deviceSubCategory = deviceSubCategory;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getRefFacs() {
        return refFacs;
    }

    public void setRefFacs(String refFacs) {
        this.refFacs = refFacs;
    }

    public String getLocationRef() {
        return locationRef;
    }

    public void setLocationRef(String locationRef) {
        this.locationRef = locationRef;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getPsCode() {
        return psCode;
    }

    public void setPsCode(String psCode) {
        this.psCode = psCode;
    }

    public List<String> getPsCodes() {
        return psCodes;
    }

    public void setPsCodes(List<String> psCodes) {
        this.psCodes = psCodes;
    }

    public Long getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Long deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getSubsystemCode() {
        return subsystemCode;
    }

    public void setSubsystemCode(String subsystemCode) {
        this.subsystemCode = subsystemCode;
    }

    public Integer getUpstreamObjType() {
        return upstreamObjType;
    }

    public void setUpstreamObjType(Integer upstreamObjType) {
        this.upstreamObjType = upstreamObjType;
    }

    public String getUpstreamObjCode() {
        return upstreamObjCode;
    }

    public void setUpstreamObjCode(String upstreamObjCode) {
        this.upstreamObjCode = upstreamObjCode;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public Integer getColMode() {
        return colMode;
    }

    public void setColMode(Integer colMode) {
        this.colMode = colMode;
    }

    public Integer getObjTag() {
        return objTag;
    }

    public void setObjTag(Integer objTag) {
        this.objTag = objTag;
    }

    public List<String> getAreaCodes() {
        return areaCodes;
    }

    public void setAreaCodes(List<String> areaCodes) {
        this.areaCodes = areaCodes;
    }
}